> ## Documentation Index > Fetch the complete documentation index at: https://docs.retailvista.net/llms.txt > Use this file to discover all available pages before exploring further. # /v26.4/BaseEmailTemplates ## OpenAPI ````json GET /v26.4/BaseEmailTemplates { "openapi": "3.0.1", "info": { "title": "NedFox Retail3000 Core", "description": "This page documents the NedFox Retail3000 Core REST API", "version": "26.4" }, "paths": { "/v26.4/BaseEmailTemplates": { "get": { "tags": [ "BaseEmailTemplates" ], "parameters": [ { "name": "IsoLanguageId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "EmailType", "in": "query", "schema": { "$ref": "#/components/schemas/EmailType" } }, { "name": "IsOverridableOnly", "in": "query", "schema": { "$ref": "#/components/schemas/BooleanFilter" } }, { "name": "IncludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ExcludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "OrderBy", "in": "query", "schema": { "type": "string" } }, { "name": "ModifiedSinceDateTime", "in": "query", "schema": { "type": "string", "format": "date-time" } } ], "responses": { "200": { "description": "Success", "content": { "text/plain": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewBaseEmailTemplateDTO" } } }, "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewBaseEmailTemplateDTO" } } }, "text/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewBaseEmailTemplateDTO" } } } } }, "401": { "description": "Unauthorized", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "403": { "description": "Forbidden", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "404": { "description": "Not Found", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } } } } } }, "components": { "schemas": { "EmailType": { "enum": [ "NotSpecified", "CompanyRegistration", "PasswordReset", "OrganizationRegistration", "FailureMessage", "NewUserAccount", "ReservationNotification", "SaleOrderSupplierApproval", "SaleOrderCustomerApproval", "PurchaseOrder", "SaleConfirmation", "Invoice", "FinalReservationNotification", "LoyaltyCard", "SaleOrderSupplierCancellation", "SaleOrderCustomerCancellation", "General", "SaleOrder", "ActivatedGiftCard", "RefundGiftCard", "Parcel", "SaleOrderConfirmation", "SaleOrderReturnConfirmation", "SaleOrderSendConfirmation", "SaleOrderMessage", "SaleOrderCancelled", "SaleOrderPartialDelivery", "PaymentRequest" ], "type": "string" }, "BooleanFilter": { "enum": [ "All", "Yes", "No" ], "type": "string" }, "ViewBaseEmailTemplateDTO": { "type": "object", "properties": { "itemId": { "type": "integer", "format": "int32", "nullable": true }, "createdByUserId": { "type": "integer", "format": "int32", "nullable": true }, "createdDateTime": { "type": "string", "format": "date-time" }, "lastModifiedByUserId": { "type": "integer", "format": "int32", "nullable": true }, "lastModifiedDateTime": { "type": "string", "format": "date-time" }, "isoLanguageId": { "type": "integer", "format": "int32", "nullable": true }, "emailType": { "$ref": "#/components/schemas/EmailType" }, "subject": { "type": "string", "nullable": true }, "plainBody": { "type": "string", "nullable": true }, "htmlBody": { "type": "string", "nullable": true }, "placeholders": { "type": "string", "nullable": true }, "isOverridable": { "type": "boolean", "default": false }, "languageCode": { "type": "string", "nullable": true }, "languageDescription": { "type": "string", "nullable": true } }, "additionalProperties": false }, "ExceptionInfo": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "message": { "type": "string", "nullable": true }, "stackTrace": { "type": "string", "nullable": true } }, "additionalProperties": false } } } } ````